Skip to main content

Block Range

Fetch a bounded list of indexed blocks ordered ascending or descending.

Network
DescRequest body field
FastNear API keyNo saved key
Get API key
Endpointhttps://tx.main.fastnear.com
Authnone detected
Live Response

Responses from the selected endpoint appear here after you run a request.

Live response output will appear here after you run a request.

Request reference

application/json

This operation performs POST /v0/blocks with an application/json request body.

Required request inputs: yes

POST /v0/blocks
{
  "desc": false,
  "from_block_height": 193916402,
  "limit": 10,
  "to_block_height": 193916411
}

Request body schema

objectBlocksInput
descboolean
from_block_heightinteger
limitinteger
to_block_heightinteger

Response reference

200 application/json

Block rows

Response schema

objectBlocksResponse
requires blocks
blocks *array
itemsobjectBlockRow
requires block_height, block_hash, prev_block_hash, block_timestamp, epoch_id, next_epoch_id, chunks_included, author_id, protocol_version, gas_price, total_supply, num_transactions, num_receipts, gas_burnt, tokens_burnt
author_id *string
block_hash *string
block_height *integer
block_ordinalinteger
block_timestamp *string
chunks_included *integer
epoch_id *string
gas_burnt *string
gas_price *string
next_epoch_id *string
num_receipts *integer
num_transactions *integer
prev_block_hash *string
prev_block_heightinteger
protocol_version *integer
tokens_burnt *string
total_supply *string